import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks'
import { PropsTable } from '@storybook/components'
import { AllCommunities } from '.'
import { Box } from 'rebass'
import { Header } from 'ui/modules/Header'
import { Community } from 'ui/modules/Previews/Community'
import { useFormik } from 'formik'
import { useGetLoadMoreProps } from 'ui/mock/loadmore'
import { CommunityPreviewProps } from 'ui/mock/previews'

import { WithSidebar } from 'ui/templates/withSidebar'
import { MainHeader } from 'ui/modules/MainHeader'
import { Sidebar } from 'ui/modules/Sidebar'
import { useGetSidebarProps } from 'ui/mock/sidebar'
import { getMainHeaderProps } from 'ui/mock/mainHeader'

<Meta title="Pages|AllCommunities" component={AllCommunities} />

# AllCommunities

The `AllCommunities` page displays all of the communities on the current MoodleNet instance. It is made up of the following:

- **[Story](#story)**
- **[Building blocks](#modules)**
- **[Props](#props)**

<Preview>
  <Story name="AllCommunities page">
    <WithSidebar
      SearchBox={<h1>test</h1>}
      HeaderBox={<MainHeader {...getMainHeaderProps()} />}
      SidebarBox={<Sidebar {...useGetSidebarProps()} />}
      userImage={'string'}
      homeLink={'/'}
      userLink={'/'}
      username={'test'}
      name={'test'}
      signout={() => console.log('test')}
    >
      <AllCommunities
        Header={<Header name="All Communities" />}
        CommunitiesBoxes={[
          <Community {...CommunityPreviewProps()} />,
          <Community {...CommunityPreviewProps()} />,
          <Community {...CommunityPreviewProps()} />,
          <Community {...CommunityPreviewProps()} />,
          <Community {...CommunityPreviewProps()} />,
          <Community {...CommunityPreviewProps()} />,
          <Community {...CommunityPreviewProps()} />,
        ]}
        {...useGetLoadMoreProps()}
        basePath="/"
      />
    </WithSidebar>
  </Story>
</Preview>

<div id="modules">Building blocks</div>

- **[WithSidebar](#)**
- **[Header](#)**
- **[WrapperPanel](#)**
- **[LoadMore](#)**

<div id="props">Props</div>

<Props of={AllCommunities} />
